"""Make your async code sweeter."""
from .interface import aiorunner, sync, aiter, asyncify, as_await
from .eventemitter import EventEmitter
from .waiter import Waiter, EmptyWaiter, FullWaiter
from .channel import ClosedChannel, Channel, BufferedChannel

__all__ = ["aiorunner", "sync", "aiter", "as_await", "asyncify",
           "EventEmitter", "Waiter", "EmptyWaiter", "FullWaiter",
           "Channel", "ClosedChannel", "BufferedChannel"]

__version__ = "0.6.0"
__author__ = "Benoît Mendousse"
__license__ = "MIT"
__project_name__ = "sweetasync"
